at.chipkarte.client.abs.soap

## Class PatientenDaten

- Object
- - at.chipkarte.client.abs.soap.PatientenDaten

-     public class PatientenDaten
      extends Object

  Enthält die Daten des Patienten, für den eine `BewilligungsAnfrage` gestellt wird.

  Optionale Felder dürfen den Wert `null` oder, im Fall von Strings, einen Leerstring zurückliefern. Pflichtfelder dürfen weder `null` noch einen Leerstring zurückliefern. Felder, die nicht explizit als optional gekennzeichnet sind, sind Pflichtfelder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatientenDaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDruckNachname()` Drucknachname des Patienten.
    `String` | `getDruckVorname()` Druckvorname des Patienten.
    `String` | `getEKVKNummer()` Die EKVK-Nummer des Patienten aus der europäischen Krankenversicherungskarte (EKVK), sofern der Patient im EU-Ausland versichert ist.
    `String` | `getGeschlecht()` Geschlecht des Patienten.
    `String` | `getNachname()` Nachname des Patienten.
    `String` | `getSVNummer()` Die Sozialversicherungsnummer des Patienten, sofern der Patient in Österreich versichert ist.
    `String` | `getSVTCode()` Der eindeutige Code des leistungszuständigen Krankenversicherungsträgers.
    `String` | `getVorname()` Vorname des Patienten.
    `Boolean` | `isRezeptGebBefreit()` Kennzeichen, ob der Patient von der Rezeptgebühr befreit ist.
    `void` | `setDruckNachname(String druckNachname)`
    `void` | `setDruckVorname(String druckVorname)`
    `void` | `setEKVKNummer(String eKVKNummer)`
    `void` | `setGeschlecht(String geschlechtPatient)`
    `void` | `setNachname(String nachname)`
    `void` | `setRezeptGebBefreit(Boolean rezeptGebBefreit)`
    `void` | `setSVNummer(String sVNummer)`
    `void` | `setSVTCode(String sVTCode)`
    `void` | `setVorname(String vorname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatientenDaten

          public PatientenDaten()

  - ### Method Detail

    - #### getSVNummer

          public String getSVNummer()

      Die Sozialversicherungsnummer des Patienten, sofern der Patient in Österreich versichert ist.
      Format: 10-stellig, numerisch
      Die Sozialversicherungsnummer muss den Regeln für Sozialversicherungsnummern entsprechen (Prüfziffer).
      Die Angabe der Sozialversicherungsnummer ist optional. Wird sie nicht angegeben, muss jedoch entweder die EKVKNummer (`EKVKNummer`) oder das CardToken (Parameter in `sendenAnfrage()`) angegeben werden. Wird die SVNummer gemeinsam mit dem CardToken angegeben, so muss das CardToken mit der entsprechenden e-card erzeugt worden sein.
      Returns:
        Sozialversicherungsnummer

    - #### getEKVKNummer

          public String getEKVKNummer()

      Die EKVK-Nummer des Patienten aus der europäischen Krankenversicherungskarte (EKVK), sofern der Patient im EU-Ausland versichert ist.
      Format: maximal 20-stellig
      Die Angabe der EKVK-Nummer ist optional. Wird sie nicht angegeben, gilt die Bestimmung für die Eingabe der Sozialversicherungsnummer, siehe auch `SVNummer`. Die EKVKNummer darf nicht gemeinsam mit dem CardToken (Parameter in `sendenAnfrage()`) oder der SV-Nummer angegeben werden.
      Returns:
        EKVK-Nummer

    - #### getNachname

          public String getNachname()

      Nachname des Patienten.
      Format: maximal 70-stellig
      Muss angegeben werden bei Erfassung mit EKVK-Nummer. Wird bei Erfassung der Anfrage mit SV-Nummer ignoriert. Bei Erfassung mit CardToken ist eine Angabe nicht zulässig.
      Returns:
        Nachname

    - #### getVorname

          public String getVorname()

      Vorname des Patienten.
      Format: maximal 70-stellig
      Muss angegeben werden bei Erfassung mit EKVK-Nummer. Wird bei Erfassung der Anfrage mit SV-Nummer ignoriert. Bei Erfassung mit CardToken ist eine Angabe nicht zulässig.
      Returns:
        Vorname

    - #### getDruckNachname

          public String getDruckNachname()

      Drucknachname des Patienten.
      Format: maximal 70-stellig
      Dient nur der Ausgabe. Wird bei Eingabe ignoriert.
      Returns:
        DruckNachname

    - #### getDruckVorname

          public String getDruckVorname()

      Druckvorname des Patienten.
      Format: maximal 70-stellig
      Dient nur der Ausgabe. Wird bei Eingabe ignoriert.
      Returns:
        DruckVorname

    - #### getGeschlecht

          public String getGeschlecht()

      Geschlecht des Patienten.
      Wertebereich: siehe `Geschlecht`
      Die Angabe des Geschlechts ist optional. Wird bei Erfassung der Anfrage mit SV-Nummer bzw. CardToken ignoriert. Für die Eingabe sind nur die Werte `M` und `W` zulässig.
      Returns:
        Geschlecht

    - #### getSVTCode

          public String getSVTCode()

      Der eindeutige Code des leistungszuständigen Krankenversicherungsträgers.
      Siehe `IAbsService.getSVTs(String)` beziehungsweise auch `SvtProperty#getCode()`.
      Die Angabe des KVT-Codes ist optional. In diesem Fall wird der KVT vom System automatisch ermittelt.
      Format: 2-stellig, alphanumerisch
      Returns:
        Code des Krankenversicherungsträgers

    - #### isRezeptGebBefreit

          public Boolean isRezeptGebBefreit()

      Kennzeichen, ob der Patient von der Rezeptgebühr befreit ist.
      Dient nur der Ausgabe. Wird bei Eingabe ignoriert.
      Returns:
        True, wenn der Patient von der Rezeptgebühr befreit ist.

    - #### setSVNummer

          public void setSVNummer(String sVNummer)

    - #### setEKVKNummer

          public void setEKVKNummer(String eKVKNummer)

    - #### setNachname

          public void setNachname(String nachname)

    - #### setVorname

          public void setVorname(String vorname)

    - #### setDruckNachname

          public void setDruckNachname(String druckNachname)

    - #### setDruckVorname

          public void setDruckVorname(String druckVorname)

    - #### setGeschlecht

          public void setGeschlecht(String geschlechtPatient)

    - #### setSVTCode

          public void setSVTCode(String sVTCode)

    - #### setRezeptGebBefreit

          public void setRezeptGebBefreit(Boolean rezeptGebBefreit)